---
rank: 32
title: Resolutions (and Systems)
date: 2014-02-10T17:00:00.000Z
layout: post
path: /resolutions-and-systems/
next: /introversion/
previous: /how-not-to-do-customer-service-credit-card-edition/
tags:
  - fun
  - goals
  - software
---


![Something](https://static.sinap.ps/blog/2014/Feb/SublimeText_and_System.png)

Here we are, already in February! What a great time to talk about 2014 Resolutions, right? After you've already forgotten yours? :0)

The packed gyms, new diets, and renewed focus at at work are all starting to fade away along with those New Year's resolutions. For some that's a source of relief. For others, it's a disappointment as hopes for big changes and improvements fade as well.

For me, my resolutions were just part of my overall goal system. Still, I did put some new things in place for 2014. But before we talk about that, let's first talk about my current systems.

<div class='fold'></div>

## My Systems

Goals are good, but they can be overwhelming. Just looking at a list of year-sized goals can feel overwhelming. So what to do? How about this:

> design a comprehensive set of steps leading towards those goals, then get into a rhythm.

It starts to feel comfortable, then takes less and less mental effort to do it as it becomes automatic. Here are some those steps I've been taking for a while now:

### Morning Pages

I've journaled at various periods in my life, but it's always been sporadic. In 1997, for example, I had a proto-blog on my homepage. Years later I'd sometimes write entries on my computer, sometimes I'd use a legal pad. And to be honest, it was almost always when I had something to work through, something I wasn't fully happy about.

[750 Words](http://750words.com/) introduced me to the concept of "morning pages" from [The Artist's Way](http://www.amazon.com/The-Artists-Way-Julia-Cameron/dp/1585421464). The idea is that writing three pages every day will help you clear your mind, practice fully expressing ideas, and even pull buried ideas into conscious thought. And you do it every day, not just when you feel like you want to do it.

In late 2012 I decided to give it a go. Since then I've only missed days here and there - I made 319 entries in 2013. I'd like to beat that for 2014. When I do my pages, I feel so much more ready for the day, like only the important stuff is left in my head. :0)

### Weekly Goals

When I left Microsoft in 2011 I was, for the first time, fully in charge of the structure in my life. No competing goals from classes or a job. After taking a month to relax and visit family and friends, I drew up a comprehensive list of goals in various categories: entrepreneurship, health and fitness, social, painting, reading, coding. And like a good Agile project manager, I started experimenting with sprint length - my basic "time units."

After trying different sprint lengths all the way up to five weeks, I settled on one week at a time. It struck the right balance between up-front planning granularity and the ability to keep it in mind. Today I keep my weekly goals visible on my screen as much as possible. I have a template I use to remind me of the things I want to do every day or a couple times a week, like workouts or doing my morning pages (see the image above).

### Daily Log

Even a week's worth of goals is overwhelming. So I create a document for each day, and copy over the set of items I will attack for that day. This daily log is extremely useful, capturing my completed tasks, to be done tasks, items for the future, and the steps I took to get things done: urls, calculations, key facts. Almost like my lab notebook from college science classes - easily referred to in the future to see how I did something, or prove that something was done a certain way.

It also really helps me get back on track when an email, facebook notification or random article online gets me off my rhythm. Switching back to that workspace immediately reminds me what I was working on before I got distracted.

Like my weekly goals, I have a template I use every day. These are the first four items:

1. [Breakfast](/my-standard-breakfast/)
2. Morning pages
3. What's the most important thing I need to do today?
4. Email->0

### Accomplishments for the year

Last year my girlfriend and I spent New Year's day reflecting and coming up with goals for the year. I forget why I decided to do it, but I took a couple hours and listed out all of my accomplishments and notable events for 2012. That document got really big, and made me feel pretty good - I had learned a lot of new technologies, done a lot of travel, fixed some gnarly bugs, etc. This year I did it again and it worked just as well. Seeing all that I've done gives me a sense of momentum, which makes it seem natural to move forward ambitiously.

## Resolutions? Not really

Honestly, the New Year is just an opportunity to unify how I've been thinking and behaving lately. At the end of the year, I'll have been making progress towards longtime goals as well new, unexpected goals. Late December and early January is the chance to put that all in one place. One set of goals for the year.

## New for 2014: Monthly Review

Finally, my new system for 2014. It's so easy to get too focused on the day or week or be completely overwhelmed when looking at the year. This year I am finally knitting these two perspectives together with monthly reviews.

My first January review was a great exercise. I first captured my accomplishments/notables list for the month (which was far easier to remember than a full year), then wrote down a number of things I've learned (tech, relationships, travel, whatever), then wrote down a bunch of key stats for the month: weight, runs, finances, etc.

Finally, I reevaluated my goals for the year. For some of the goals, I realized that they weren't quite ambitious enough. For at least a few others, it was a good reminder that I need to think about that stuff a bit more week-to-week.

Probably most importantly, reviewing January left me excited to put some better scores on the board for February. I think I'll continue this new tradition. :0)

---

Further reading:

* Making better resolutions: https://medium.com/buster-benson/69cda443d387
* It's not about goals, it's about systems: http://www.entrepreneur.com/article/230333#
* Some good questions for reflection on 2013 and planning for 2014: http://eepurl.com/LFHqb
