---
rank: 7
title: Autumn Associations
date: 2014-09-25T23:00:00.000Z
layout: post
path: /autumn-associations/
next: /the-last-year/
previous: /learning-limits-post-injury-running/
tags:
  - fun
  - ideas
  - data
  - software
---

In American pop culture, Autumn is orange and brown, pumpkins, brightly colored leaves starting to fall, animals storing food for winter. I think of it a little differently. I think of it as a time of _new things_, _reflection_, and at least a little bit of _melancholy_.

![leaves](https://static.sinap.ps/blog/2014/Sep/leaves-1411691625098.JPG)

<div class='fold'></div>

## Newness

From a young age we're all conditioned to expect to start something new in the fall. The first day of school. Time to stop playing around, time to be productive again. Strangely, that feeling has continued far past my school years:

- _New job:_ After a post-graduation road trip to Alaska with friends, I started full-time at Microsoft at the end of summer. This year and last year around this time I started on new contracts.
- _New review year:_ During all eight years of my time at Microsoft, it was review season in September. Leading up to my review, I'd look backward, thinking and maybe worrying about how I'd done in the past year. Once the review actually happened, I focused entirely on the future.
- _New apartment:_ Because I moved to Washington in late summer, I moved apartments every year in the fall.
- _New freedom_: Funny enough, I've had two big breakups in the fall. Freedom, emptiness, whatever you want to call it. :0)
- _New perspective_: Late summer and fall I've taken some multi-week vacations. It's a great chance to reset.

![equinox sunset](https://static.sinap.ps/blog/2014/Sep/equinox_sunset-1411691632311.jpg)

## Reflection

The Autumn Equinox was this week, and I got to spend it watching the sunset (above) here in Seattle at a nice little park with a view of the Olympics. The park even has an installation showing you where the sun sets at the summer and winter solstice. The day of the Equinox, the sun was right in the middle.

If it seems like a time of significance, it is. This is one of the two times of year when the day and night are just about the same length. Unfortunately, modern culture is pretty disconnected with the natural rhythms of the world, so we need to look to some old traditions for their thoughts on the matter. ["Pagan" mythology calls the Autumn Equinox _Mabon_](http://www.huffingtonpost.com/2014/09/23/mabon-2014_n_5863384.html), and has some pretty great recommendations: _"express gratitude, complete projects and honor a moment of balance."_ And of course Thanksgiving brings in this idea of reflecting and giving thanks as well.

To me, it just makes sense. No more margaritas on the patio. No more lazy dusk walks. Less relaxation, more silent reflection. Maybe it's that new chill in the air?

![change per day chart](https://static.sinap.ps/blog/2014/Sep/change_per_day-1411692657480.png)

## Melancholy

It's a time of balance between the day and night, but this time of year is also a time of change. Each new day here in Seattle sees a reduction in daylight of nearly three and a half minutes. Maybe you've noticed? I have definitely noticed. It is with some sadness that I welcome the fall here in the Northwest.

Fall marks the beginning of many months of darkness, gray skies and rainy days. While Seattle is known for its rain, we really get more of a drizzle most of the time. More than any other time, Fall in Seattle means real rain. Real rain keeps you inside. And of course nobody likes the big hit of Daylight Saving Time - all of a sudden we're coming home from work in the dark.

So, with the knowledge of all this approaching, the melancholy appears. But we can't do anything about the motion of the earth, can we? Well, we can analyze it, understand it, and plan for it. Maybe that will help? I like it! What better way to mourn the loss of daylight than to analyze it deeply?

![sunset sunrise chart](https://static.sinap.ps/blog/2014/Sep/sunrise_sunset-1411691657761.png)

## Coping via Programming

Okay, maybe you don't agree with me. At least now you understand why I [wrote a program](https://github.com/scottnonnenberg/suncsv) to generate sunrise and sunset times. Specifically, it generates a CSV (comma-separated value) file you can use to import sunrise and sunset events into your calendar or spreadsheet program of choice.

[Install the app](https://github.com/scottnonnenberg/suncsv#setup), generate a CSV, [add those events to your calendar](https://github.com/scottnonnenberg/suncsv#add-to-google-calendar), then deal better with the new daylight hours. Maybe plan to go running or take a walk at lunch instead of before or after work?

Well, at least we don't have to worry about being too hot anymore. :0)

---

Just a little more:

- Don't forget to take your Vitamin D3!
- In Seattle? Download pre-generated [2014](https://s3.amazonaws.com/blog-scottnonnenberg-com/2014/Sep/2014.csv) and [2015](https://s3.amazonaws.com/blog-scottnonnenberg-com/2014/Sep/2015.csv) CSV files.
- Even easier, add my [Seattle Sunrise/Sunset Times](https://www.google.com/calendar/embed?src=9m16s7lk4c251q7iv0gjvddesg%40group.calendar.google.com&ctz=America/Los_Angeles) Google Calendar to your Google Calendar. Just click the button in the bottom right.
- Other cultures have their own Autumn Equinox traditions - [check 'em out!](http://mentalfloss.com/article/59049/autumnal-equinox-traditions)
- The charts above were generated with [iWork Numbers 3.2.2](https://itunes.apple.com/us/app/numbers/id409203825?mt=12). It doesn't handle date axes very well. :0(
